Skip to main content
Quote / Tyres

Get a list of tyres

Get a list of tyres.

GET
/qt/tyres

This method requires the Tyres:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
tyre_codestringquery

Optional Tyre Code

This field supports the wildcard % operator.

Maximum string length: 16
make_idstringquery

Optional Make Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
manufacturer_tyre_codestringquery

Optional Manufacturer Tyre Code

This field supports the wildcard % operator.

Maximum string length: 15
namestringquery

Optional Name

This field supports the wildcard % operator.

Maximum string length: 40
specificationstringquery

Optional Specification

This field supports the wildcard % operator.

Maximum string length: 15
ratingstringquery

Optional Rating

This field supports the wildcard % operator.

Maximum string length: 5
typestringquery

Optional Type

This field supports the wildcard % operator.

Maximum string length: 20
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1